aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-octopus-snapshot/bitbake-html5-image-qemux86-64.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-05-11 22:27:14 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-05-11 22:27:14 +0200
commit6d7054c476b1a2f8bfabe409bf56d07da1266b6e (patch)
tree41b9f46e9a23574760b48536f2ac26e8624358f0 /jjb/release-jjb-octopus-snapshot/bitbake-html5-image-qemux86-64.sh
parent11a623e3a2cf2ab987d14e8a1e4c4ab070a1a69b (diff)
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I9847340a854086273fab07b9895e4a1c66cb4e39
Diffstat (limited to 'jjb/release-jjb-octopus-snapshot/bitbake-html5-image-qemux86-64.sh')
-rw-r--r--jjb/release-jjb-octopus-snapshot/bitbake-html5-image-qemux86-64.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/jjb/release-jjb-octopus-snapshot/bitbake-html5-image-qemux86-64.sh b/jjb/release-jjb-octopus-snapshot/bitbake-html5-image-qemux86-64.sh
new file mode 100644
index 00000000..78af7470
--- /dev/null
+++ b/jjb/release-jjb-octopus-snapshot/bitbake-html5-image-qemux86-64.sh
@@ -0,0 +1,21 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## bitbake the sdk
+################################################################################
+#if ! test x"${GERRIT_BRANCH}" = x"dab" ; then
+#bitbake wic-tools
+#fi
+
+if test x"qemux86-64" = x"${TARGETMACHINE}" ; then
+
+# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
+#( ( bitbake -c $TARGETSDK $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake -c $TARGETSDK $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ... ##' ; exit 1 )
+echo 'AGL_DEFAULT_IMAGE_FSTYPES_forcevariable = "wic.vmdk.xz wic.xz ext4.xz"' >> conf/local.conf
+echo 'AGL_EXTRA_IMAGE_FSTYPES_forcevariable = ""' >> conf/local.conf
+( ( bitbake agl-demo-platform-html5 ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake agl-demo-platform-html5 ) ) || ( echo '## Failed again, bail out ... ##' ; exit 1 )
+
+du -hs tmp/deploy/*
+
+fi \ No newline at end of file